SoulFire LogoSoulFire

List recipes

GET
/v1/recipes

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Query Parameters

result_item_id?string|null
ingredient.item_ids?array<string>
ingredient.tags?array<string>
ingredient.fingerprint?string|null
ingredient.name_contains?string|null
ingredient.enchantment_ids?array<string>
ingredient.minimum_count?|null
ingredient.minimum_remaining_durability?|null
recipe_types?array<string>
page_size?integer
Formatint64
Range0 <= value <= 4294967295
page_token?string
scope.instance_id*string
Formatuuid
scope.bot_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/recipes?scope.instance_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&scope.bot_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "recipes": [    {      "recipeId": "string",      "recipeType": "string",      "group": "string",      "ingredients": [        {          "itemIds": [            "string"          ],          "tags": [            "string"          ],          "count": 0        }      ],      "result": {        "itemId": "string",        "count": 0,        "maxStackSize": 0,        "damage": 0,        "maxDamage": 0,        "customName": {          "plainText": "string",          "json": "string"        },        "lore": [          {            "plainText": "string",            "json": "string"          }        ],        "enchantments": [          {            "enchantmentId": "string",            "level": 0          }        ],        "food": {          "nutrition": 0,          "saturationModifier": 0.1,          "canAlwaysEat": true,          "eatSeconds": 0.1        },        "tool": {          "toolTags": [            "string"          ],          "defaultMiningSpeed": 0.1,          "harvestLevel": 0        },        "armor": {          "equipmentSlot": "string",          "defense": 0,          "toughness": 0.1,          "knockbackResistance": 0.1        },        "components": {},        "customDataNbt": "string",        "fingerprint": "string",        "potion": {          "potionId": "string",          "effects": [            {              "effectId": "string",              "amplifier": 0,              "durationTicks": 0,              "ambient": true,              "visible": true,              "showIcon": true            }          ],          "color": 0        }      },      "experience": 0.1,      "cookingTimeTicks": 0,      "special": true    }  ],  "nextPageToken": "string",  "registryHash": "string"}

How is this page?